Bounding Box of Component Instance is changing after adding lines to its entitiesBox

At first: Please follow this guide how to post a code: how-to-post-correctly-formatted-and-colorized-code-on-the-forum


At second: your hash values are in a wrong format (Unless you printed out to console and coped from there)


Most probably your component axis looks like this:
image
if it is the case then you have to transform the points to the right place… (This is just an guessed example without seeing your model)

hinges_side_points = {
  :hinge_side_top=>Geom::Point3d.new(22.7559, 0.0393701, 27.5197),
  :hinge_side_bottom=>Geom::Point3d.new(22.7559, 0.0393701, 0.0393701),
  :oppsite_side=>Geom::Point3d.new(22.7559, 17.6772, 13.7795)
}
vector = hinges_side_points[:hinge_side_bottom].vector_to(ORIGIN)
tr = Geom::Transformation.translation(vector)
hinges_side_points.each_value{|point| point.transform!(tr)}
entities = component_instacne.definition.entities
entities.add_line(hinges_side_points[:hinge_side_top], hinges_side_points[:oppsite_side])
entities.add_line(hinges_side_points[:hinge_side_bottom], hinges_side_points[:oppsite_side])